%define	upstream_name	 File-chdir
%define upstream_version 0.1008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A more sensible way to change directories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd) >= 3.160.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions) >= 3.270.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Perl's chdir() has the unfortunate problem of being very, very, very
global.  If any part of your program calls chdir() or if any library
you use calls chdir(), it changes the current working directory for
the B<whole> program.

File::chdir gives you an alternative, $CWD and @CWD.  These two
variables combine all the power of C<chdir()>, File::Spec and Cwd.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README examples
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.100.800-2.mga3
+ Revision: 367422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.100.800-1.mga3
+ Revision: 342171
- update to 0.1008

* Wed Sep 26 2012 jquelin <jquelin> 0.100.700-1.mga3
+ Revision: 297983
- update to 0.1007

* Tue Nov 08 2011 jquelin <jquelin> 0.100.600-1.mga2
+ Revision: 165443
- remove MYMETA from %%doc
- update to 0.1006

* Thu Jan 20 2011 jquelin <jquelin> 0.100.400-1.mga1
+ Revision: 26219
- mageia rebuild
- imported package perl-File-chdir

